> ## Documentation Index
> Fetch the complete documentation index at: https://docs.polynode.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# 24h Statistics

> Rolling 24h volume, open price and hourly candles for one instrument.

`volume` is 24h notional volume in USD. `klines` are the trailing hourly candles as `[open_time, open, high, low, close, volume, trade_count]`.

For custom intervals and longer ranges use [klines](/perps/market-data/klines); for a volume time series with your own bucketing use [volume](/perps/market-data/volume).


## OpenAPI

````yaml GET /v3/perps/statistics/{instrument}
openapi: 3.1.0
info:
  title: PolyNode API
  description: >-
    Real-time Polymarket data API with decoded mempool settlements, OHLCV
    candles, and full Polygon JSON-RPC proxy.
  contact:
    name: PolyNode
    url: https://polynode.dev
  license:
    name: ''
  version: 2.0.0
servers:
  - url: https://api.polynode.dev
    description: Production
security:
  - api_key: []
paths:
  /v3/perps/statistics/{instrument}:
    get:
      tags:
        - Perps
      summary: 24h statistics
      description: Rolling 24h volume, open price and hourly candles for one instrument.
      operationId: perps_statistics
      parameters:
        - name: instrument
          in: path
          required: true
          description: Instrument id (e.g. `6`), symbol (`BTC-USD`), or bare asset (`btc`).
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              example:
                instrument_id: 6
                klines:
                  - - 1783512000000
                    - '62298'
                    - '62414'
                    - '61983'
                    - '61983'
                    - '3.3057599999999985'
                    - 145
                  - - 1783515600000
                    - '61948'
                    - '62048'
                    - '61642'
                    - '61898'
                    - '6.7158599999999975'
                    - 258
                  - - 1783519200000
                    - '61908'
                    - '62131'
                    - '61684'
                    - '61851.0'
                    - '10.522599999999995'
                    - 495
                  - - 1783522800000
                    - '61842'
                    - '61871'
                    - '61513'
                    - '61663'
                    - '14.885540000000004'
                    - 711
                  - - 1783526400000
                    - '61649'
                    - '62087'
                    - '61646'
                    - '62074'
                    - '6.778779999999998'
                    - 462
                  - - 1783530000000
                    - '62065.0'
                    - '62351'
                    - '61993'
                    - '62052'
                    - '4.538209999999999'
                    - 374
                  - - 1783533600000
                    - '62062'
                    - '62310'
                    - '61942'
                    - '62163'
                    - '19.3358'
                    - 521
                  - - 1783537200000
                    - '62218'
                    - '62251'
                    - '62031'
                    - '62234'
                    - '12.349020000000007'
                    - 812
                  - - 1783540800000
                    - '62244'
                    - '62263'
                    - '62046'
                    - '62061'
                    - '7.934680000000001'
                    - 403
                  - - 1783544400000
                    - '62055'
                    - '62162'
                    - '61935'
                    - '62133.0'
                    - '7.6189'
                    - 513
                  - - 1783548000000
                    - '62143'
                    - '62279'
                    - '62127'
                    - '62277'
                    - '9.057320000000004'
                    - 442
                  - - 1783551600000
                    - '62277'
                    - '62303'
                    - '62122'
                    - '62262'
                    - '3.347849999999998'
                    - 330
                  - - 1783555200000
                    - '62248'
                    - '62250'
                    - '62029'
                    - '62067'
                    - '6.746679999999999'
                    - 505
                  - - 1783558800000
                    - '62079'
                    - '62591'
                    - '61819'
                    - '61875'
                    - '15.954740000000001'
                    - 673
                  - - 1783562400000
                    - '61884'
                    - '62058'
                    - '61679'
                    - '61750'
                    - '12.066850000000002'
                    - 479
                  - - 1783566000000
                    - '61752'
                    - '61969'
                    - '61690'
                    - '61943'
                    - '3.7135199999999995'
                    - 284
                  - - 1783569600000
                    - '61933'
                    - '62421'
                    - '61920'
                    - '62420.0'
                    - '2.5396799999999997'
                    - 252
                  - - 1783573200000
                    - '62399'
                    - '62553'
                    - '62220'
                    - '62476'
                    - '2.784079999999999'
                    - 309
                  - - 1783576800000
                    - '62528'
                    - '62934'
                    - '62429'
                    - '62934'
                    - '7.279069999999999'
                    - 408
                  - - 1783580400000
                    - '62907'
                    - '63210'
                    - '62751'
                    - '62940.0'
                    - '6.79149'
                    - 456
                  - - 1783584000000
                    - '62958'
                    - '63042'
                    - '62807'
                    - '62865'
                    - '15.554419999999999'
                    - 342
                  - - 1783587600000
                    - '62864'
                    - '62958'
                    - '62778'
                    - '62916'
                    - '4.649289999999999'
                    - 442
                  - - 1783591200000
                    - '62911'
                    - '63005'
                    - '62648'
                    - '62722'
                    - '2.0302699999999994'
                    - 261
                  - - 1783594800000
                    - '62736'
                    - '62787'
                    - '62573'
                    - '62772'
                    - '2.205979999999999'
                    - 295
                open_price: '62298'
                symbol: BTC-USD
                volume: '11746664.800699994'
components:
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: x-api-key

````